# Class RelationTypeNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.JMException
javax.management.relation.RelationException
javax.management.relation.RelationTypeNotFoundException

All Implemented Interfaces:
  `Serializable`

public class RelationTypeNotFoundException extends RelationException
This exception is raised when there is no relation type with given name in Relation Service.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RelationTypeNotFoundException()`
Default constructor, no message put in exception.
`RelationTypeNotFoundException(String message)`
Constructor with given message put in exception.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RelationTypeNotFoundException

public RelationTypeNotFoundException()
Default constructor, no message put in exception.

### RelationTypeNotFoundException

public RelationTypeNotFoundException(String message)
Constructor with given message put in exception.

Parameters:
  `message` - the detail message.